#include <iostream>

using namespace std;

int main() 
{
    int N;
    scanf("%d", &N);

    int A[N], B[N];

    for (int i = 0; i < N; i++)
    {
        scanf("%d", &A[i]);
    }

    for (int i = 0; i < N; i++)
    {
        scanf("%d", &B[i]);
    }

    int maxv= 0;

    for (int i = 0; i < N; i++)
    {
        int xorv = 0;
        int andv = ~0;

        for (int j=i; j < N; j++)
        {
            xorv^=A[j];
            andv&=B[j];
            int trenutnov=xorv*andv;
            if (trenutnov>maxv)
            {
                maxv = trenutnov;
            }
        }
    }

    printf("%d\n", maxv);

    return 0;
}